> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# cdd_case_update

> Event is pushed to subscribers when a CDD case changes status.

Note that the event will only include one of
`payout_destination_case` or `payment_case` never both




## OpenAPI

````yaml /mintlify-docs/openapi/spec-webhooks.yaml post /examples/cdd_case_update
openapi: 3.0.0
info:
  title: Hooks API
  description: >
    API for managing webhooks


    # Changelog


    All notable changes to the API.


    ## 2026-05-16


    > **break**: Rename `account_location_add`, `account_location_update` and

    > `account_location_delete` events to `account_store_add`,

    > `account_store_update` and `account_store_delete`.

    >

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)

    > - [Event
    example](/webhooks-api/example-management-auth-events/example_account_store_add_event)


    ## 2026-03-10


    > **Update**: Switch from `external_token_reference` to
    `external_token_references` for card tokens

    > - [Event
    example](/webhooks-api/example-checkout-events/example_checkout_token_event)


    ## 2026-03-01


    > **doc**: Document guaranteed fields in card token event payloads

    > - [Event
    example](/webhooks-api/example-checkout-events/example_checkout_token_event)


    ## 2026-02-18


    > **Update**: Document support for `external_token_reference` for card
    tokens

    > - [Event
    example](/webhooks-api/example-checkout-events/example_checkout_token_event)


    ## 2026-01-26


    > **new**: Add support for subscription on `account_location_add`,

    > `account_location_update` and `account_location_delete` events.

    >

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)

    > - [Event example](#operation/example_account_location_add_event)


    ## 2025-11-30


    > **new**: Add support for `exclude_fields` in webhooks. Use the new option

    > to exclude fields from the event being delivered

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)


    > **new**: Add support for subscription on `checkout_authorization` event.

    >

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)

    > - [Event
    example](/webhooks-api/example-checkout-events/example_checkout_authorization_event)


    ## 2025-10-01


    > **new**: Add support for subscription on `checkout_token_add`,

    > `checkout_token_update` and `checkout_token_delete` event.

    >

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)

    > - [Event
    example](/webhooks-api/example-checkout-events/example_checkout_token_event)


    ## 2024-08-01


    > **update**: Extend the `cdd_case_update` event with optional

    > `payout_destination_case` and `payment_case` to make it easier to
    determine

    > what CDD case was updated

    > - [Event
    example](/webhooks-api/example-management-auth-events/example_cdd_case_update_event)


    ## 2024-02-01


    > **doc**: Fix `HookDeliveryDetail` definition, the type for the
    `response.body`

    > and `details.delivery_duration` was wrong, change to `string` and

    > `number`

    > - [GET
    /v1/accounts/{aid}/hooks/subscriptions/{hid}/deliveries/{delivery_id}](/webhooks-api/subscription-deliveries/aid_source_hooks_hid_deliveries_did_get)


    ## 2023-12-01


    > **new**: Add support for `approval_payout_destination_delete` event.

    > The event will be published when a seller approval is archived

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)

    > - [Event
    example](/webhooks-api/example-management-auth-events/example_approval_payout_destination_update_delete)


    ## 2023-01-01


    > **new**: Add support for subscription on `checkout_transaction` event.

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)

    > - [Event
    example](/webhooks-api/example-checkout-events/example_checkout_transaction_event)


    ## 2022-11-01


    > Add support for creating subscription with `fields` mask. The fields
    property

    > lets you explicitly select the fields you need from the event deliveries

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)


    ## 2022-08-01


    > Document example for `approval_payout_destination_update` event

    > - [POST approval_payout_destination_update
    event](/webhooks-api/example-management-auth-events/example_approval_payout_destination_update_event)


    ## 2021-04-01


    > Add support for subscription on `shopping_order_delete` events.

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)


    ## 2021-01-01


    > Add support for subscription on `settlement_add` events.

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)


    ## 2020-10-01


    > Add support for subscription on `account_add` and `account_update` events.

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)


    ## 2019-04-31


    > Implement support for subscription on

    > `discount_customer_update` event. The event is published after a

    > - [POST
    hooks/subscriptions](/webhooks-api/subscriptions/aid_source_hooks_post)

    > `receipt_add` event or when discounts are claimed.


    # Webhook Events


    Each event has a similar JSON schema, but a unique payload

    object that is determined by its event type.


    ## Accounts


    ### account_add / account_update


    The event is sent from auth service after an account is added or updated.


    > The events are only available for production subscriptions


    > `account_add` events are only available for partner accounts

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: account_add
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "account_add",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "account": {
                    "account_id": "12341234",
                    "jwks": {
                        "name": "example",
                        "uri": "https://example.com"
                    },
                    "applicant": {
                        "agreement": {
                            "accepted_at": "2022-01-01T00:00:00Z"
                        },
                        "email": "john.doe@example.com",
                        "first_name": "John",
                        "last_name": "Doe",
                        "phone_number": "+1234567890",
                        "promo_code": "ABC123",
                        "utm": {
                            "utm_source": "google",
                            "utm_medium": "cpc",
                            "utm_campaign": "example"
                        }
                    },
                    "billing": {
                        "address": {
                            "address_line": "123 Main St",
                            "postal_place": "MainVille",
                            "country": "NO"
                        },
                        "business_name": "Example Inc"
                    },
                    "company": {
                        "business_name": "Example Inc.",
                        "address": {
                            "address_line": "123 Main St",
                            "postal_place": "MainVille",
                            "country": "NO"
                        }
                    },
                    "language_code": "en-US",
                    "livemode": "true",
                    "partner_id": "00000000",
                    "active": "true",
                    "account_manager": {
                        "email": "jane.doe@example.com"
                    },
                    "reseller_id": "reseller123",
                    "progression": "live",
                    "subscription": {
                        "interval": "month",
                        "metadata": {
                            "key": "value"
                        },
                        "plan": "basic",
                        "support": "email"
                    },
                    "services": {
                        "checkout": {
                            "enabled": "true",
                            "settings": {
                                "key": "value"
                            }
                        },
                        "customers": {
                            "enabled": "true",
                            "settings": {
                                "key": "value"
                            }
                        }
                    },
                    "connections": {
                        "collector": {
                            "invoice": {
                                "enabled": "true",
                                "settings": {
                                    "key": "value"
                                }
                            }
                        }
                    },
                    "created_by": "1234-1234-1234-1234"
                }
            }

    ### account_store_add / account_store_update / account_store_delete


    The event is sent from auth service after a store is added, updated or
    deleted.

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: account_store_add
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "account_store_add",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "store": {
                    "id": "T12341234-0001",
                    "store_id": "STORE001",
                    "store_name": "Main Store",
                    "created_at": "2019-08-24T14:15:22Z",
                    "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
                    "status": "ACTIVE",
                    "verified": true,
                    "number_of_terminals": 2,
                    "organization": {
                        "organization_number": "123456789",
                        "name": "Example Company AS",
                        "trade_name": "Example Store"
                    },
                    "email": "store@example.com",
                    "phone_number": "+4799999999",
                    "address": {
                        "address_line": "Sommerkroveien 34",
                        "postal_place": "Oslo",
                        "postal_code": "0349",
                        "country": "NO"
                    },
                    "payout_destination": {
                        "payout_destination_id": "pd-123",
                        "status": "ACTIVE",
                        "type": "company"
                    },
                    "operator_payout_destinations": []
                }
            }

    ## Customers


    ### customer_update / customer_add / customer_delete


    Customer event sent from customers service after a customer is

    created, updated or deleted. All customer properties will be

    included in the event.

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: customer_update
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "customer_update",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "metadata": {
                    "dob_year": 1985
                },
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "created_at": "2019-08-24T14:15:22Z",
                "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
                "updated_at": "2019-08-24T14:15:22Z",
                "first_name": "John",
                "last_name": "Doe",
                "email": "customer@example.com",
                "phone_number": "+4799999999",
                "status": "string",
                "favorite_store": "string",
                "enrolled_by": {
                    "type": "url",
                    "value": "https://facebook.com"
                },
                "type": "customer",
                "addresses": [
                    {
                        "address_line": "Sommerkroveien 34",
                        "postal_place": "Oslo",
                        "country": "NO"
                    }
                ],
                "term": {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "accepted_at": "2019-08-24T14:15:22Z"
                },
                "company": {
                    "organization_number": "123456789MVA",
                    "bussiness_name": "TKP tech AS",
                    "department": "sales department",
                    "industry": "computer industry",
                },
                "date_of_birth": "1990-09-20",
                "customer_id": "string"
            }

    ### customer_change_password


    Customer event sent from customers service after a change_password

    request is received. Note that the event includes a context object

    with `audience` and `created_by`.

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: customer_change_password
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "customer_change_password",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "metadata": {
                    "dob_year": 1985
                },
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "created_at": "2019-08-24T14:15:22Z",
                "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
                "updated_at": "2019-08-24T14:15:22Z",
                "first_name": "John",
                "last_name": "Doe",
                "email": "customer@example.com",
                "phone_number": "+4799999999",
                "status": "string",
                "favorite_store": "string",
                "enrolled_by": {
                    "type": "url",
                    "value": "https://facebook.com"
                },
                "type": "customer",
                "addresses": [
                    {
                        "address_line": "Sommerkroveien 34",
                        "postal_place": "Oslo",
                        "country": "NO"
                    }
                ],
                "term": {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "accepted_at": "2019-08-24T14:15:22Z"
                },
                "company": {
                    "organization_number": "123456789MVA",
                    "bussiness_name": "TKP tech AS",
                    "department": "sales department",
                    "industry": "computer industry",
                },
                "date_of_birth": "1990-09-20",
                "customer_id": "string"
                "context": {
                    "audience": "https://api.dintero.com/v1/accounts/P00000000",
                    "created_by": "API_USER"
                }
            }

    ## Discounts


    ### discount_update / discount_add / discount_delete


    Discount event sent from discount service after a discount rule

    is created, updated or deleted. All discount properties will be

    included in the event

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: discount_update
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "discount_update",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "created_at": "2019-08-24T14:15:22Z",
                "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
                "updated_at": "2019-08-24T14:15:22Z",
                "campaign_id": "string",
                "active": "true",
                "private": "false",
                "updated_by": "3d1e4824-5474-48e7-a369-4f603fa4c5b8",
                "type": "item",
                "name": "Spar 100,-",
                "receipt_text": "Mai Salg",
                "visible_from": "2019-08-24T14:15:22Z",
                "description": "Gjør et Stablestol kupp!",
                "limitation": {
                    "discount_activation": [
                        {
                            "type": "deactivate_if_discount_active",
                            "value": "string"
                        }
                    ],
                    "discount_hours": {
                        "timezone": "Europe/Oslo",
                        "hours": [
                            {
                                "day": "mon",
                                "start": "10:00",
                                "end": "20:00"
                            }
                        ]
                    },
                    "discount_reward_usage": 1,
                    "discount_combination": -1,
                    "discount_eligible": "item_eligible_for_discount",
                    "discount_repeat_usage": -1,
                    "stamp_expire_days": 100,
                    "blacklist": [
                        {
                            "id": "b714118",
                            "group_id": "B1"
                        }
                    ]
                },
                "requirement": {
                    "customer": {
                        "addresses": [
                            {
                                "country": [
                                    "NO"
                                ],
                                "postal_code": [
                                    "0349"
                                ],
                                "postal_place": [
                                    "Oslo"
                                ],
                                "custom_type": [
                                    "offsite"
                                ],
                                "type": [
                                    "custom"
                                ]
                            }
                        ],
                        "company": {
                            "bussiness_name": [
                                "TKP tech AS"
                            ],
                            "department": [
                                "production",
                                "research"
                            ],
                            "industry": [
                                "J62.0.1",
                                "J62.0.2"
                            ],
                            "number_of_employees": [
                                "20"
                            ],
                            "organization_number": [
                                "123456789MVA"
                            ],
                            "website": [
                                "https://dintero.com"
                            ]
                        },
                        "date_of_birth": [
                            "1990-09-20",
                            "1990-05-10"
                        ],
                        "first_name": [
                            "John"
                        ],
                        "gender": [
                            "male"
                        ],
                        "last_name": [
                            "Doe"
                        ],
                    },
                    "item": {
                        "quantity": 0,
                        "mixes": [
                            {
                                "items": [
                                    {
                                        "id": "b714118"
                                    },
                                    {
                                        "group_id": "g4"
                                    }
                                ],
                                "quantity": 0,
                                "reward_eligible": "true"
                            }
                        ],
                        "items": [
                            {
                                "id": "b714118",
                                "group_id": "B1"
                            }
                        ]
                    },
                    "store_ids": [
                        "sc029"
                    ],
                    "gross_amount": 0,
                    "currencies": [
                        {
                            "anything-but": [
                                "NOK"
                            ]
                        }
                    ],
                    "stamp": 5,
                    "discount_code": "TACO",
                    "store": {
                        "id": [
                            "sc029"
                        ],
                    },
                    "purchase_from": "2019-08-24T14:15:22Z",
                    "purchase_to": "2019-08-24T14:15:22Z"
                },
                "reward": {
                    "type": "discount_amount",
                    "value": 10000,
                    "base": "net",
                    "effect": "discount"
                },
                "metadata": {
                    "campaign_id": "V101",
                    "is_featured": "true",
                    "dintero:private_text:kind": "Gold"
                },
                "links": [
                    {
                        "href": "https://example.dintero.com/c/photos/2018/6_20_thumbnail_discount_image.png",
                        "rel": "thumbnail_discount_image"
                    }
                ]
            }

    ### discount_add_customers / discount_delete_customers


    The event is sent from discount service after a customer is added

    removed from the discount. The event will originate from

    [Add
    customer](/discounts-api/rules-customers/aid_discounts_did_customers_post),

    [Remove
    customer](/discounts-api/rules-customers/aid_discounts_did_customers_delete)

    or from an
    [automation](/discounts-api/rules-automations/aid_automations_rules_post)

    triggered.


    The receipt/automation property is only set if the customer

    was added to the discount by the automation.

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: discount_add_customers
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "discount_add_customers",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "created_at": "2018-01-10T08:49:20.533Z",
                "created_by": "API_USER",
                "id": "{customer_ref_discount_id}",
                "customer_id": "{customer_id}",
                "discount": {
                    "id": "{discount.id}"
                },
                "receipt": { "id": "{receipt.id}" ... },
                "automation": {
                    "created_at": "2018-03-19T15:04:42Z",
                    "created_by": "API_USER",
                    "id": "string",
                    "updated_at": "2018-03-19T15:04:42Z",
                    "events": ["customer_add"]
                }
            }

    ### discount_customer_update


    The event is sent from discount service after a customer discounts

    is updated. An update is triggered when discounts are used (receipt_add),

    claimed or if stamp is added to the discount (receipt_add).

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: discount_customer_update
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "discount_customer_update",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "created_by": "string",
                "created_at": "2022-01-01T00:00:00Z",
                "customer_id": "string",
                "claim": {
                    "id": "string"
                },
                "receipt": {
                    "id": "string"
                },
                "discounts": [
                    {
                        "id": "string",
                        "refs": [
                            {
                                "id": "string",
                                "stamp": 1337,
                                "amount": 10,
                                "usage": 1,
                                "bonus": 0,
                                "statistics": {
                                    "amount": 10,
                                    "bonus": 0,
                                    "debit_balance": 0,
                                    "stamp": 1640995200,
                                    "usage": 1
                                }
                            }
                        ]
                    }
                ]
            }

    ## Locations


    ### location_add / location_update / location_delete


    Location event sent from our customer service after a location is created,

    updated or deleted. All locations properties will be included in the event.

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: location_add
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9
            {
                "account_id": "P12341234",
                "event": "location_add",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "location": {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "created_at": "2019-08-24T14:15:22Z",
                    "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "location_id": "S01923",
                    "name": "TKP Store",
                    "timezone": "Europe/Oslo",
                    "status": "Active",
                    "language_code": "string",
                    "currency": "NOK",
                    "phone_number": "+4799999999",
                    "chain": "SuperChain",
                    "email": "saleslocation@example.com",
                    "mcc": "5814",
                    "gln": "string",
                    "organization_number": "123456789MVA",
                    "business_name": "TKP technology AS",
                    "franchise": "Subway",
                    "type": "string",
                    "website_url": "string",
                    "address": {
                        "address_line": "Sommerkroveien 34",
                        "address_line_2": "PB 123",
                        "postal_code": "0349",
                        "postal_place": "Oslo",
                        "country": "NO",
                        "latitude": 0,
                        "longitude": 0
                    }
                }
            }


    ## Receipts


    ### receipt_add / receipt_update


    Receipt event sent from receipts service after a receipt is added.

    The complete receipt will be included in the event.

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: receipt_add
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9
            {
                "account_id": "P12341234",
                "event": "receipt_add",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "created_at": "2018-01-10T07:57:42Z",
                "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
                "id": "2adb53e8-7f9b-44a4-8d5f-ed85d44cf02b",
                "purchase_at": "2018-01-10T07:57:42Z",
                "receipt_id": "714118",
                "store": {
                    "id": "sc029"
                }
            }

    ## Settlements


    ### settlement_add

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: settlement_add
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "settlement_add",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "settlement": {
                    "id": "string",
                    "account_id": "P12341234",
                    "settled_at": "2022-01-01T00:00:00.000Z",
                    "email_received_at": "2022-01-02T00:00:00.000Z",
                    "gateway": "vipps",
                    "created_at": "2022-01-03T00:00:00.000Z",
                    "updated_at": "2022-01-04T00:00:00.000Z",
                    "provider_reference": "123456789",
                    "payout_destination_id": "987654321",
                    "metadata": {
                        "attachments": [
                            {
                                "id": "attachment1",
                                "download_link": "https://example.com/attachment1",
                                "content_type": "application/pdf",
                                "extension": "pdf",
                                "created_by": "user1"
                            }
                        ],
                        "aggregation": [
                            {
                                "capture": 94000,
                                "amount": 30825,
                                "currency": "NOK",
                                "fee": -1175,
                                "refund": -62000
                            }
                        ],
                        "start_at": "2022-01-01T00:00:00.000Z",
                        "end_at": "2022-01-02T00:00:00.000Z"
                    }
                }
            }

    ## Shopping


    ### shopping_draft_add / shopping_draft_complete / shopping_draft_update

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: shopping_draft_add
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "shopping_draft_add",
                "event-delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "options": {
                    "order_time_to_live": 94672800,
                    "generate_order_id": "UUID",
                    "order_id": "string",
                    "replace": "order",
                    "split_draft": "false",
                    "serial_order_number_suffix": "false",
                    "multiple_authorizations": "false"
                },
                "order": {
                    "customer": {
                        "first_name": "John",
                        "last_name": "Doe",
                        "id": "string",
                        "email": "customer@example.com",
                        "phone_number": "+4799999999",
                        "addresses": [
                            {
                                "address_line": "Sommerkroveien 34",
                                "postal_place": Oslo,
                                "country": "NO"
                            }
                        ],
                        "enrolled_by": {
                            "type": "url",
                            "value": "https://facebook.com"
                        },
                        "type": "customer"
                    },
                    "shipping_address": {
                        "address_line": "Sommerkroveien 34",
                        "postal_place": "Oslo",
                        "country": "NO"
                    },
                    "billing_address": {
                        "address_line": "Sommerkroveien 34",
                        "postal_place": "Oslo",
                        "country": "NO"
                    },
                    "comment": "string",
                    "salesperson_id": "string",
                    "salesperson_name": "string",
                    "delivery_at": "2019-08-24T14:15:22Z",
                    "pickup_at": "2019-08-24T14:15:22Z",
                    "courier_id": "string",
                    "pre_order": "true",
                    "time_to_live": 94672800,
                    "items": [
                        {
                            "status": "string",
                            "id": "175938",
                            "groups": [
                                {
                                    "id": "B234",
                                    "name": "Stol"
                                },
                                {
                                    "id": "B1",
                                    "name": "Møbel"
                                }
                            ],
                            "line_id": 1,
                            "quantity": 2,
                            "gross_amount": 39800,
                            "tax_lines": [
                                {
                                    "amount": 5584,
                                    "percentage": 25,
                                    "tax_code": "3",
                                    "tax_group": "Vmva-høy"
                                }
                            ],
                            "description": "Stablestol for utendørsbruk",
                            "eligible_for_discount": "true",
                            "discount_lines": [
                                {
                                    "amount": 23130,
                                    "percentage": 10,
                                    "discount_type": "customer",
                                    "discount_id": "766da0ef-9283-42bd-b012-0582344ec53c",
                                    "description": "string",
                                    "line_id": 1
                                }
                            ]
                        }
                    ],
                    "type": "delivery",
                    "order_number": "order123456",
                    "currency": "NOK",
                    "order_id": "string",
                    "store": {
                        "id": "SL02"
                    }
                }
            }

    ### shopping_order_update / shopping_order_event_add / shopping_order_delete

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: shopping_order_update
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "account_id": "P12341234",
                "event": "shopping_order_update",
                "event-delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "customer": {
                    "first_name": "John",
                    "last_name": "Doe",
                    "id": "string",
                    "email": "customer@example.com",
                    "phone_number": "+4799999999",
                    "addresses": [
                        {
                            "address_line": "Sommerkroveien 34",
                            "postal_place": "Oslo",
                            "country": "NO"
                        }
                    ],
                    "status": "string",
                    "type": "customer"
                },
                "shipping_address": {
                    "address_line": "Sommerkroveien 34",
                    "postal_place": "Oslo",
                    "country": "NO"
                },
                "billing_address": {
                    "address_line": "Sommerkroveien 34",
                    "postal_place": "Oslo",
                    "country": "NO"
                },
                "delivery_at": "2019-08-24T14:15:22Z",
                "pickup_at": "2019-08-24T14:15:22Z",
                "courier_id": "string",
                "items": [
                    {
                        "status": "string",
                        "line_id": 1
                    }
                ]
            }

    ## Wallet


    ### wallet_transaction


    Wallet transaction event sent from wallets service after a transaction is
    created

        POST /
            User-Agent: Dintero-Hook/0c9ad03b
            Content-Type: application/json
            event: wallet_transaction
            event-delivery: cfedde7e-b088-415e-ad5b-cbe54acbb6f9

            {
                "event": "wallet_transaction",
                "event_delivery": "cfedde7e-b088-415e-ad5b-cbe54acbb6f9",
                "created_at": "2017-11-30T08:12:20.533Z",
                "created_by": "API_USER",
                "id": "19657e92-9165-4b4f-92ab-2cd9cdef1525",
                "metadata": { },
                "ref_id": "0000359382",
                "amount": 69900,
                "currency": "NOK",
                "parent_id": null,
                "type": "drawdown",
                "account_id": "T00000000",
                "card_id": "1234567890"
            }
  contact:
    name: API Integration Support
    email: integration@dintero.com
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: example-management-auth-events
    x-displayName: Accounts
    description: Accounts events
  - name: example-checkout-events
    x-displayName: Checkout
    description: Checkout events
paths:
  /examples/cdd_case_update:
    post:
      tags:
        - example-management-auth-events
      summary: example_cdd_case_update_event
      description: |
        Event is pushed to subscribers when a CDD case changes status.

        Note that the event will only include one of
        `payout_destination_case` or `payment_case` never both
      operationId: example_cdd_case_update_event
      parameters:
        - name: event
          in: header
          required: true
          example: cdd_case_update
          schema:
            type: string
        - name: event-delivery
          in: header
          required: true
          example: 9ebb6d41-dca5-484e-8330-9c9fa96b60ba
          schema:
            type: string
        - name: event-signature
          in: header
          example: f572d396fae9206628714fb2ce00f72e94f2258f
          schema:
            type: string
        - name: content-type
          in: header
          required: true
          example: application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CddCaseUpdateEvent'
        required: true
      responses:
        '200':
          description: event handled
        '400':
          description: ignored, stop resend
        '500':
          description: unhandled, resend
      security: []
components:
  schemas:
    CddCaseUpdateEvent:
      type: object
      required:
        - account_id
        - event
        - event_delivery
        - account
      properties:
        account_id:
          type: string
          example: P12345678
        event:
          type: string
          example: cdd_case_update
          enum:
            - cdd_case_update
        event_delivery:
          type: string
          format: uuid
          example: 9ebb6d41-dca5-484e-8330-9c9fa96b60ba
        account:
          $ref: '#/components/schemas/ExtendedAccount'
        payout_case:
          type: object
          description: |
            The payment case that was updated
          required:
            - id
            - created_at
            - updated_at
            - payout_reference
            - organization_number
            - products
          properties:
            id:
              type: string
              format: uuid
              example: 497f6eca-6276-4993-bfeb-53cbbbba6f08
            created_at:
              type: string
              format: date-time
            created_by:
              type: string
            updated_at:
              type: string
              format: date-time
            deleted_at:
              type: string
              format: date-time
            deleted_by:
              type: string
            payout_reference:
              type: string
            organization_number:
              type: string
            case_status:
              type: string
              enum:
                - ACTIVE
                - DECLINED
                - UNDER_MANUAL_REVIEW
                - AUTOMATIC_REVIEW
                - WAITING_FOR_SIGNATURE
                - WAITING_FOR_DECLARATION
                - ERROR
                - ARCHIVED
                - WAITING_FOR_DETAILS
            previous_case_status:
              type: string
              enum:
                - ACTIVE
                - DECLINED
                - UNDER_MANUAL_REVIEW
                - AUTOMATIC_REVIEW
                - WAITING_FOR_SIGNATURE
                - WAITING_FOR_DECLARATION
                - ERROR
                - ARCHIVED
                - WAITING_FOR_DETAILS
            products:
              type: array
              items:
                type: object
                required:
                  - product
                properties:
                  product:
                    $ref: '#/components/schemas/ApprovalsPaymentProduct'
            payment_methods:
              description: |
                Payment methods that the merchant wants to accept.
              type: array
              items:
                type: object
                required:
                  - payment_method
                properties:
                  payment_method:
                    type: string
                    enum:
                      - creditcard
                      - applepay
                      - clicktopay
                      - vipps
                      - swish
                      - mobilepay
                      - klarna
                      - walley
                      - santander
                      - netaxept
                      - instabank
                      - googlepay
                      - billie
        payout_destination_case:
          allOf:
            - $ref: '#/components/schemas/PayoutDestinationUpdateBase'
            - description: |
                The seller approval case that was updated or deleted
              required:
                - case_status
              properties:
                deleted_at:
                  type: string
                  format: date-time
                deleted_by:
                  type: string
                case_status:
                  type: string
                  enum:
                    - ARCHIVED
                    - ACTIVE
                    - DECLINED
                    - UNDER_MANUAL_REVIEW
                    - AUTOMATIC_REVIEW
                    - WAITING_FOR_SIGNATURE
                    - WAITING_FOR_DECLARATION
                    - ERROR
                    - WAITING_FOR_DETAILS
                previous_case_status:
                  type: string
                  enum:
                    - ARCHIVED
                    - ACTIVE
                    - DECLINED
                    - UNDER_MANUAL_REVIEW
                    - AUTOMATIC_REVIEW
                    - WAITING_FOR_SIGNATURE
                    - WAITING_FOR_DECLARATION
                    - ERROR
                    - WAITING_FOR_DETAILS
    ExtendedAccount:
      allOf:
        - $ref: '#/components/schemas/Account'
        - $ref: '#/components/schemas/AccountPrivateDetails'
        - $ref: '#/components/schemas/AccountReadOnly'
        - $ref: '#/components/schemas/AccountApprovals'
        - type: object
          properties:
            configuration:
              $ref: '#/components/schemas/PartnerConfiguration'
    ApprovalsPaymentProduct:
      type: string
      description: |
        The type of product that the merchant wants to use for their business.
         - `checkout` the merchant accepts payouts to a single bank account
           (per currency).
         - `split_payment` needed for partners, marketplaces and platforms that
           will onboard sellers that will receive payouts to the sellers' own bank
           accounts.
      enum:
        - checkout
        - split_payment
    PayoutDestinationUpdateBase:
      type: object
      description: |
        The seller approval case that was updated
      required:
        - id
        - created_at
        - updated_at
        - payout_destination_id
        - payout_reference
        - organization_number
        - case_status
      properties:
        id:
          type: string
          format: uuid
          example: 497f6eca-6276-4993-bfeb-53cbbbba6f08
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
        updated_at:
          type: string
          format: date-time
        payout_destination_id:
          type: string
        payout_destination_name:
          type: string
        payout_destination_description:
          type: string
        payout_reference:
          type: string
        organization_number:
          type: string
        case_status:
          type: string
          enum:
            - ACTIVE
            - DECLINED
            - UNDER_MANUAL_REVIEW
            - AUTOMATIC_REVIEW
            - WAITING_FOR_SIGNATURE
            - WAITING_FOR_DECLARATION
            - ERROR
    Account:
      type: object
      allOf:
        - $ref: '#/components/schemas/Entity'
        - $ref: '#/components/schemas/AccountJwks'
        - $ref: '#/components/schemas/AccountPaymentSummary'
        - required:
            - applicant
            - company
            - billing
          properties:
            applicant:
              description: The individual completing the account registration
              allOf:
                - $ref: '#/components/schemas/AccountApplicant'
                - properties:
                    agreement:
                      type: object
                      properties:
                        accepted_at:
                          description: |
                            defines the date of the account terms and conditions
                            agreement in ISO 8601 format with a timezone
                          type: string
                          format: date-time
                          readOnly: true
            company:
              $ref: '#/components/schemas/AccountCompany'
            billing:
              $ref: '#/components/schemas/AccountBilling'
            subscription:
              $ref: '#/components/schemas/Subscription'
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/Attachment'
            account_id:
              type: string
              description: The id that uniquely identifies the account.
              readOnly: true
            partner_id:
              type: string
              description: The id of the partner associated with the account
              format: ^[PT]{1}(?=(?:.{3})$)[0-9]*$
              readOnly: true
            livemode:
              type: boolean
              description: |
                Flag indicating whether the account exists in live
                mode and test mode.
              default: false
            active:
              type: boolean
              description: The account is active
              default: false
              readOnly: true
            language_code:
              type: string
              description: |
                The preferred language for the account as defined by
                <a href="https://tools.ietf.org/html/bcp47">BCP 47</a>
                (IETF BCP 47, "Tags for Identifying Languages").
            platform_type:
              type: string
              description: |
                Optional type of platform for merchants using split payout.
              readOnly: true
              enum:
                - marketplace
                - aggregator
            allowed_merchant_category_codes:
              type: array
              description: >-
                Restricts the MCC codes available for selection during merchant
                onboarding.
              items:
                type: string
                pattern: ^\d{4}$
    AccountPrivateDetails:
      type: object
      description: |
        Account properties that are private and managed by the
        root partner.
      properties:
        progression:
          type: string
          enum:
            - applied
            - live
            - frozen
            - deactivated
          description: |
            Status assigned to the account by the account partner
            > value is not visible for the merchant.
        reseller_id:
          type: string
          description: |
            Reseller id assigned by the account partner
            > value is not visible for the merchant
          example: DINTERO_ACCOUNT:99900000
        account_manager:
          type: object
          required:
            - email
          description: |
            Account manager responsible for the account.
            > value is not visible for the merchant
          properties:
            email:
              type: string
              example: employee@dintero.com
        permissions:
          description: List the permission granted the account
          type: array
          items:
            type: object
            required:
              - effect
              - action
            properties:
              effect:
                type: string
                enum:
                  - allow
                  - deny
              action:
                type: array
                minItems: 1
                maxItems: 1
                items:
                  type: string
                  enum:
                    - checkout:auto_capture
                    - notifications:publish
        sale_channel:
          type: string
          enum:
            - DIRECT
            - INBOUND
            - PARTNER
            - REFERRAL
        price_package:
          type: string
        statistics:
          type: object
          description: Statistics for the account
          properties:
            checkout_captures:
              description: Statistics about transactions captured
              type: array
              readOnly: true
              items:
                $ref: '#/components/schemas/ReportedVolume'
              example:
                - type: monthly
                  periode: 2023-09
                  currency: NOK
                  volume: 3921930
                  count: 131
                - type: weekly
                  periode: 2023-W33
                  currency: NOK
                  volume: 980482
                  count: 32
            metrics:
              description: key metrics about the account
              properties:
                checkout:transaction:first_capture_at:
                  type: string
                  format: datetime
                checkout:transaction:last_capture_at:
                  type: string
                  format: datetime
        services:
          type: object
          properties:
            checkout:
              type: object
              required:
                - features
              properties:
                features:
                  $ref: '#/components/schemas/CheckoutServiceFeatures'
            payout:
              required:
                - features
              properties:
                features:
                  $ref: '#/components/schemas/PayoutAccountService'
    AccountReadOnly:
      type: object
      properties:
        connections:
          type: object
          readOnly: true
          description: |
            Connections to external services registered on the merchant account
          properties:
            applepay:
              $ref: '#/components/schemas/ApplePayConnection'
            bambora:
              $ref: '#/components/schemas/BamboraConnection'
            collector:
              $ref: '#/components/schemas/CollectorConnection'
            common:
              $ref: '#/components/schemas/CommonConnection'
            dintero_psp:
              $ref: '#/components/schemas/DinteroPspConnection'
            instabank:
              $ref: '#/components/schemas/InstabankConnection'
            klarna:
              $ref: '#/components/schemas/KlarnaConnection'
            kravia:
              $ref: '#/components/schemas/KraviaConnection'
            mastercard_3ds:
              $ref: '#/components/schemas/Mastercard3DSConnection'
            mastercard_tokenization:
              $ref: '#/components/schemas/MastercardTokenizationConnection'
            payex:
              $ref: '#/components/schemas/PayExConnectionV2'
            swish:
              $ref: '#/components/schemas/SwishConnection'
            two:
              $ref: '#/components/schemas/TwoConnection'
            vipps:
              $ref: '#/components/schemas/VippsConnection'
            vipps_psp:
              $ref: '#/components/schemas/VippsPspConnection'
            visa_tokenization:
              $ref: '#/components/schemas/VisaTokenizationConnection'
        services:
          type: object
          readOnly: true
          description: |
            Status on services enabled on the merchant account
          properties:
            checkout:
              $ref: '#/components/schemas/CheckoutAccountService'
            customers:
              $ref: '#/components/schemas/AccountService'
            discounts:
              $ref: '#/components/schemas/AccountService'
            shopping:
              $ref: '#/components/schemas/AccountService'
            receipts:
              $ref: '#/components/schemas/AccountService'
            wallets:
              $ref: '#/components/schemas/AccountService'
            payout:
              $ref: '#/components/schemas/PayoutAccountService'
            ledger:
              $ref: '#/components/schemas/AccountService'
    AccountApprovals:
      type: object
      properties:
        approvals_payments_statuses:
          type: object
          description: Count of statuses of payments approvals
          properties:
            ACTIVE:
              type: number
            DECLINED:
              type: number
            UNDER_MANUAL_REVIEW:
              type: number
            AUTOMATIC_REVIEW:
              type: number
            WAITING_FOR_SIGNATURE:
              type: number
            WAITING_FOR_DECLARATION:
              type: number
            WAITING_FOR_DETAILS:
              type: number
            ERROR:
              type: number
            ARCHIVED:
              type: number
            TERMINATED:
              type: number
        approvals_payout_destinations_statuses:
          type: object
          description: >-
            Count of statuses of payout destinations approvals (aka seller
            approvals)
          properties:
            ACTIVE:
              type: number
            DECLINED:
              type: number
            UNDER_MANUAL_REVIEW:
              type: number
            AUTOMATIC_REVIEW:
              type: number
            WAITING_FOR_SIGNATURE:
              type: number
            WAITING_FOR_DECLARATION:
              type: number
            WAITING_FOR_DETAILS:
              type: number
            ERROR:
              type: number
            ARCHIVED:
              type: number
            TERMINATED:
              type: number
    PartnerConfiguration:
      type: object
      description: |
        Configuration options for the account.
      properties:
        default_price_package:
          type: string
          description: >
            Default price package to assign to new merchants.


            Use the price package ID of the price package.


            Please note that the price package must exist and be available to
            the

            partner account in question.
    Entity:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: |
            An UUID that uniquely identifies the resource
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: |
            The date-time when the resource was created
          readOnly: true
        created_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client created the resource
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: |
            The date-time when the resource was last updated
          readOnly: true
        deleted_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client created the resource
          readOnly: true
        deleted_at:
          type: string
          format: date-time
          readOnly: true
    AccountJwks:
      type: object
      properties:
        jwks:
          readOnly: true
          description: |
            Alternative JWKS configured for validating access token issued by
            external authentication.
          required:
            - name
            - uri
          properties:
            name:
              description: |
                Short name identifying the issuer.
              type: string
            uri:
              type: string
              format: uri
              example: >-
                https://cognito-idp.{region}.amazonaws.com/{userPoolId}/.well-known/jwks.json
    AccountPaymentSummary:
      type: object
      properties:
        payment_case_status:
          allOf:
            - $ref: '#/components/schemas/ApprovalStatus'
            - readOnly: true
        projected_sales:
          type: string
          readOnly: true
          description: Projected sales declared by merchant.
        average_transaction_value:
          type: string
          readOnly: true
        merchant_category_code:
          type: string
          readOnly: true
          description: Merchant category code declared by merchant.
          format: mcc
        delivery_timeline:
          type: string
          readOnly: true
          enum:
            - P0W
            - P1D
            - P2D
            - P5D
            - P2W
            - P4W
            - P12W
            - P1Y
        most_expensive_product_price:
          type: string
          readOnly: true
          description: Price of most expensive product declared by merchant.
        gift_card_revenue_percentage:
          type: string
          readOnly: true
          description: |
            Percentage of revenue coming from gift card transactions
            declared by merchant.
        credit_rating:
          type: string
          readOnly: true
          description: The most recent credit rating of the merchant.
        prev_credit_rating:
          type: string
          readOnly: true
          description: The previous credit rating of the merchant.
        currency:
          type: string
          enum:
            - NOK
            - SEK
            - DKK
            - EUR
          readOnly: true
          description: >
            The currency of the various values declared by the merchant, such as

            `most_expensive_product_price`, `average_transaction_value`, and so
            on.
    AccountApplicant:
      type: object
      required:
        - email
        - agreement
      properties:
        first_name:
          type: string
          example: John
        last_name:
          type: string
          example: Doe
        email:
          type: string
          example: customer@example.com
        phone_number:
          type: string
          description: |
            A phone number in E.164 number formatting.
          format: ^\+?[1-9]\d{1,14}$
          example: '+4799999999'
        agreement:
          $ref: '#/components/schemas/AccountAgreement'
        recaptcha_sitekey:
          type: string
          description: |
            The public site key used for reCAPTCHA
          example: 6LdE_pIUAAAAAHbiL0uHjHg2Mgn2IILTvZdA_Ux-
        recaptcha_response:
          type: string
          description: |
            A response from a reCAPTCHA check
          example: >-
            03AOLTBLSbzmXKXuAz9N--DsZ1xWmhfx6okCheBPesOsNmRSdkfcO4E5CkeBQQFJkC_emfE_KF0P8C3T57Nr9eOon_PVTEIq1NUpRS5oGkGMhr1vxVe1F7txMYUc4ClxUDLxWiW5WgnDvWHC7gOnlJZKvxVE4gn7qAJijE6SFMXkvFOwoWcx_kONmBHGnXHGgxIe2M8G-FkIKr0WZbQIDYmDaiQxb6mL1L70UGOyO280v2Pp65JB1mSohdeJLdQhHeye6v6__H9_M0GxDGd8s-LoLUY5Vq9hKbAs8MCsh2OFwtpbTYGfqmDbTwsc2v8SqOOZ86uKXwl7gyk3RHXT27m8Rv8iZAs2Ym5w
        promo_code:
          type: string
          description: Promotion code
        signup_reference:
          type: string
          description: >-
            An optional reference that can be used to identify the signup when
            the account has been created.
        utm:
          $ref: '#/components/schemas/UtmCampaign'
    AccountCompany:
      description: |
        The details of an account company
      type: object
      required:
        - business_name
        - address
      properties:
        business_name:
          type: string
          example: TKP tech AS
        display_name:
          type: string
          example: TKP tech instore AS
          description: >-
            The name of the company as displayed in Dintero systems. If not set,
            defaults to business_name.
        organization_number:
          type: string
          description: Companys identification number
          example: 123456789MVA
        industry:
          type: string
          example: computer industry
        website:
          type: string
          format: uri
          maxLength: 120
        terms_url:
          type: string
          format: uri
          maxLength: 240
        bank_name:
          type: string
          description: The name of the bank where the company's bank account is
        account_number:
          type: string
          description: The company's bank account number
        address:
          $ref: '#/components/schemas/Address'
        email:
          type: string
          format: email
          example: contact@business.dintero.com
        technical_email:
          type: string
          format: email
          example: tech_support@business.dintero.com
          description: |
            Technical email. Dintero will use this email when contacting
            the company about technical issues.
        phone_number:
          type: string
          pattern: ^\+?\d{5,15}$
          description: |
            mobile number of a person / company, ITU/E.123 format with
            international prefix (+PPNNNNNNNNN...)
        branding:
          type: object
          properties:
            icon_url:
              description: >
                Url to icon. The image should have equal height and width,
                around 50px.


                Will be used to personalize the backoffice and checkout.
              type: string
              format: uri
              maxLength: 240
            logo_url:
              description: |
                Url to logo. Will be used in receipts, emails, etc.
              type: string
              format: uri
              maxLength: 240
        merchant_category_code:
          type: string
          format: mcc
        average_transaction_value:
          type: string
        most_expensive_product_price:
          type: string
        projected_sales:
          type: string
        terms:
          type: array
          description: >
            Terms of company account. If `terms_url` is set, this property will
            include a term of type `all` that corresponds to the `terms_url`.

            If the opposite is true, `terms_url` will be set corresponding to
            the first term of type `all`.
          items:
            allOf:
              - $ref: '#/components/schemas/AccountCompanyTerms'
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/AccountCompanyContact'
        public_business_name:
          type: string
          example: TKP tech
          description: Public name of the business, as displayed to customers
    AccountBilling:
      description: |
        The details of the billing for the account
      type: object
      required:
        - business_name
        - address
      properties:
        business_name:
          type: string
          example: TKP tech AS
        organization_number:
          type: string
          description: Companys identification number
          example: 123456789MVA
        address:
          $ref: '#/components/schemas/Address'
        email:
          description: Billing email
          type: string
          example: billing@business.dintero.com
        reference:
          description: Billing reference
          type: string
          maxLength: 120
        phone_number:
          type: string
          pattern: ^\+?\d{5,15}$
          description: |
            mobile number of a person / company, ITU/E.123 format with
            international prefix (+PPNNNNNNNNN...)
        billing_statement:
          $ref: '#/components/schemas/AccountBillingStatement'
    Subscription:
      type: object
      description: Subscription plan for the account
      required:
        - interval
        - plan
      properties:
        interval:
          type: string
          description: |
            The frequency with which a subscription should be billed.
          enum:
            - month
            - year
        plan:
          type: string
          description: |
            The price plan which a billing is based on
          enum:
            - transaction_fee
            - per_customer_fee
        support:
          type: string
          description: The support service enabled
          enum:
            - office_hours
            - 24_7_extended
        metadata:
          type: object
          maxProperties: 40
          description: |
            A set of key/value pairs that you can attach to a subscription
            object. It can be useful for storing additional information about
            the subscription in a structured format.
    Attachment:
      description: >
        An attachment is a file or document associated with a reference and a
        uri.
      type: object
      required:
        - ref
        - href
      properties:
        ref:
          type: string
          description: |
            The reference to the attachment.
        href:
          type: string
          format: uri
          description: |
            The URI of the attachment.
    ReportedVolume:
      type: object
      required:
        - type
        - period
        - currency
        - volume
        - count
      properties:
        type:
          type: string
          enum:
            - monthly
            - weekly
        period:
          type: string
          description: |
            Format depend on type, e.g. `2023-09` for monthly and `2023-W40`
            for weekly
          format: iso-8601
        currency:
          type: string
          format: iso-4217
        volume:
          type: integer
        count:
          type: integer
    CheckoutServiceFeatures:
      type: object
      properties:
        applepay:
          $ref: '#/components/schemas/ServiceFeature'
        billie:
          $ref: '#/components/schemas/ServiceFeature'
        clicktopay:
          $ref: '#/components/schemas/ServiceFeature'
        collector:
          $ref: '#/components/schemas/ServiceFeature'
        creditcard:
          $ref: '#/components/schemas/ServiceFeature'
        googlepay:
          $ref: '#/components/schemas/ServiceFeature'
        instabank:
          $ref: '#/components/schemas/ServiceFeature'
        klarna:
          $ref: '#/components/schemas/ServiceFeature'
        mobilepay:
          $ref: '#/components/schemas/ServiceFeature'
        santander:
          $ref: '#/components/schemas/ServiceFeature'
        swish:
          $ref: '#/components/schemas/ServiceFeature'
        vipps:
          $ref: '#/components/schemas/ServiceFeature'
        kravia:
          $ref: '#/components/schemas/ServiceFeature'
        two:
          $ref: '#/components/schemas/ServiceFeature'
        ipp:
          $ref: '#/components/schemas/ServiceFeature'
    PayoutAccountService:
      allOf:
        - $ref: '#/components/schemas/AccountService'
        - properties:
            features:
              $ref: '#/components/schemas/PayoutServiceFeatures'
    ApplePayConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signups
            - configuration
          properties:
            configuration:
              $ref: '#/components/schemas/ApplePayConnectionConfiguration'
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/ApplePayConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
    BamboraConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - properties:
            configuration:
              $ref: '#/components/schemas/BamboraConnectionConfiguration'
            direct_signups:
              type: array
              description: |
                The Bambora direct signups received for this account.
              items:
                allOf:
                  - $ref: '#/components/schemas/BamboraDirectConnectionSignup'
                  - required:
                      - created_at
                      - signup_id
                    properties:
                      signup_id:
                        type: string
                        description: |
                          Unique ID for the signup
                        format: uuid
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
                      callback_at:
                        type: string
                        format: date-time
                        description: |
                          Callback when Bambora approved the signup
            signup:
              description: >
                **DEPRECATED** 


                Signup object present for Bambora signups with the old `POST
                /connections/bambora` endpoint.
              allOf:
                - $ref: '#/components/schemas/BamboraConnectionSignup'
                - required:
                    - created_at
                  properties:
                    created_at:
                      description: |
                        The time when signup was initiated
                      type: string
                      format: date-time
                    callback_at:
                      type: string
                      format: date-time
                      description: |
                        Callback when Bambora approved the signup
            submerchant_signups:
              type: array
              description: |
                The signups received for this account

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/BamboraPayFacConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
                      callback_at:
                        type: string
                        format: date-time
                        description: |
                          Callback when Bambora approved the signup
    CollectorConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signup
          properties:
            configuration:
              $ref: '#/components/schemas/CollectorConnectionConfiguration'
            signup:
              allOf:
                - $ref: '#/components/schemas/CollectorConnectionSignup'
                - required:
                    - created_at
                    - url
                  properties:
                    created_at:
                      description: |
                        The time when signup was initiated
                      type: string
                      format: date-time
                    url:
                      type: string
                      description: >
                        Signup URL from Collector, where merchant can complete
                        the signup
                    callback_at:
                      type: string
                      format: date-time
                      description: |
                        Callback when Collector approved the signup
    CommonConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnectionMeta'
        - required:
            - signup
          properties:
            signup:
              allOf:
                - $ref: '#/components/schemas/CommonConnectionSignup'
                - required:
                    - created_at
                  properties:
                    created_at:
                      description: |
                        The time when signup was initiated
                      type: string
                      format: date-time
                - properties:
                    payment_method_specific:
                      type: object
                      description: >
                        Any properties specifically needed for a certain payment
                        method
                      properties:
                        vipps:
                          type: object
                          properties:
                            signup_url:
                              type: string
                              description: |
                                Link to vipps form
    DinteroPspConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signups
          properties:
            configuration:
              $ref: '#/components/schemas/DinteroPspConnectionConfiguration'
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/DinteroPspConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
        - $ref: '#/components/schemas/AccountConnectionMeta'
    InstabankConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signup
          properties:
            configuration:
              $ref: '#/components/schemas/InstabankConnectionConfiguration'
            signup:
              allOf:
                - $ref: '#/components/schemas/InstabankConnectionSignup'
                - required:
                    - created_at
                  properties:
                    created_at:
                      description: |
                        The time when signup was initiated
                      type: string
                      format: date-time
                    callback_at:
                      type: string
                      format: date-time
                      description: |
                        Callback when Instabank approved the signup
    KlarnaConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signups
          properties:
            configuration:
              $ref: '#/components/schemas/KlarnaConnectionConfiguration'
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/KlarnaConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
                      callback_at:
                        type: string
                        format: date-time
                        description: |
                          Callback when Klarna approved the signup
    KraviaConnection:
      allOf:
        - required:
            - signups
          properties:
            configuration:
              $ref: '#/components/schemas/KraviaConnectionConfiguration'
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/KraviaConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
        - $ref: '#/components/schemas/AccountConnectionMeta'
    Mastercard3DSConnection:
      allOf:
        - required:
            - signups
          properties:
            configuration:
              type: object
              description: |
                Mastercard 3DS configuration for the merchant
              required:
                - status
              properties:
                status:
                  type: string
                  enum:
                    - enabled
                    - failed
                    - pending
                    - declined
                  description: |
                    The status of the configuration
            events:
              type: array
              description: |
                The events received for this account.
              items:
                allOf:
                  - $ref: '#/components/schemas/AccountConnectionEvent'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when event was initiated
                        type: string
                        format: date-time
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/Mastercard3DSConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
        - $ref: '#/components/schemas/AccountConnectionMeta'
    MastercardTokenizationConnection:
      allOf:
        - required:
            - signups
          properties:
            configuration:
              $ref: >-
                #/components/schemas/MastercardTokenizationConnectionConfiguration
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: >-
                      #/components/schemas/MastercardTokenizationConnectionSignup
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
        - $ref: '#/components/schemas/AccountConnectionMeta'
    PayExConnectionV2:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signup
          properties:
            creditcard:
              $ref: '#/components/schemas/PayExConnection'
            configuration:
              $ref: '#/components/schemas/PayExConnectionConfigurationV2'
            signup:
              allOf:
                - $ref: '#/components/schemas/PayExConnectionSignup'
                - required:
                    - created_at
                    - url
                  properties:
                    created_at:
                      description: |
                        The time when signup was initiated
                      type: string
                      format: date-time
                    url:
                      type: string
                      description: >
                        Signup URL from PayEx, where merchant can complete the
                        signup
                    callback_at:
                      type: string
                      format: date-time
                      description: |
                        Callback when PayEx approved the signup
    SwishConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - type: object
          properties:
            configuration:
              $ref: '#/components/schemas/SwishConnectionConfiguration'
            signups:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - direct
                      - payfac
                  created_at:
                    type: string
                  callback_at:
                    type: string
                  data:
                    type: object
                    properties:
                      business_name:
                        type: string
                      legal_name:
                        type: string
                      organization_number:
                        type: string
                      bank_name:
                        type: string
                      account_number:
                        type: string
                      website:
                        type: string
                      case_id:
                        type: string
                      swish_number:
                        type: string
                      payment_options:
                        type: array
                        items:
                          type: object
                          properties:
                            currencies:
                              type: array
                              items:
                                type: string
                            type:
                              type: string
                              enum:
                                - swish.swish
            signup:
              description: Deprecated, replaced by signups
              allOf:
                - $ref: '#/components/schemas/SwishConnectionSignup'
                - required:
                    - created_at
                  properties:
                    created_at:
                      description: |
                        The time when signup was initiated
                      type: string
                      format: date-time
                    callback_at:
                      type: string
                      format: date-time
                      description: |
                        Callback when Swish approved the signup
    TwoConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signups
          properties:
            configuration:
              $ref: '#/components/schemas/TwoConnectionConfiguration'
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/TwoConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
    VippsConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signup
          properties:
            signup:
              type: object
              required:
                - created_at
              properties:
                created_at:
                  description: |
                    The time when signup was initiated
                  type: string
                  format: date-time
                id:
                  type: string
                  description: |
                    Signup ID from Vipps
                  example: 81b83246-5c19-7b94-875b-ea6d1114f099
                url:
                  type: string
                  description: >
                    Signup URL from Vipps, where merchant can complete the
                    signup
                callback_at:
                  type: string
                  format: date-time
                  description: >
                    Result from callback received from Vipps after merchant
                    completed

                    the signup, and Vipps approved it.
                expires_at:
                  type: string
                  format: date-time
                  description: |
                    The Vipps signup URL expires after 30 days.
            configuration:
              description: >
                Vipps configuration for the merchant, received from signup
                callback

                The vipps configuration includes a `client_secret` stored safely
                and

                never exposed
              properties:
                payment_options:
                  type: array
                  items:
                    type: object
                    required:
                      - type
                    properties:
                      type:
                        type: string
                        enum:
                          - vipps
                merchant_name:
                  type: string
                  example: Vipps
                created_time:
                  type: string
                  example: '00:00:00'
                merchant_serial_number:
                  type: string
                  example: '123456'
                client_id:
                  type: string
                  format: uuid
                  example: 51358942-08c8-4d50-99f4-a9aa970b5f5b
                subscription_keys:
                  type: array
                  items:
                    type: object
                    properties:
                      product:
                        type: string
                        example: Access
                      ocp_apim_subscription_key:
                        type: string
                        example: de897dbb-0cd3-4445-b003-ac8214ac4638
    VippsPspConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signups
          properties:
            configuration:
              $ref: '#/components/schemas/VippsPspConnectionConfiguration'
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/VippsPspConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
    VisaTokenizationConnection:
      allOf:
        - required:
            - signups
          properties:
            configuration:
              $ref: '#/components/schemas/VisaTokenizationConnectionConfiguration'
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/VisaTokenizationConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
        - $ref: '#/components/schemas/AccountConnectionMeta'
    CheckoutAccountService:
      allOf:
        - $ref: '#/components/schemas/AccountService'
        - properties:
            features:
              $ref: '#/components/schemas/CheckoutServiceFeatures'
            gateways:
              type: object
              description: |
                All gateways requires an `enabled` connection
              properties:
                santander:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                collector:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                instabank:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                vipps:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                swish:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                bambora:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                payex:
                  type: object
                  properties:
                    creditcard:
                      $ref: '#/components/schemas/AccountCheckoutGateway'
                    swish:
                      $ref: '#/components/schemas/AccountCheckoutGateway'
                klarna:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                dintero_psp:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                kravia:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                two:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
                seitatech:
                  $ref: '#/components/schemas/AccountCheckoutGateway'
    AccountService:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: |
            The date-time when the resource was created
          readOnly: true
        created_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client created the resource
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: |
            The date-time when the resource was last updated
          readOnly: true
        updated_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client created the resource
          readOnly: true
        status:
          type: string
          enum:
            - enabled
            - disabled
        progression:
          type: string
          enum:
            - not_applied
            - applied
            - live
            - frozen
            - deactivated
        metadata:
          type: object
          maxProperties: 40
          description: |
            A set of key/value pairs that you can attach to a subscription
            object. It can be useful for storing additional information about
            the subscription in a structured format.
    ApprovalStatus:
      type: string
      enum:
        - ACTIVE
        - DECLINED
        - UNDER_MANUAL_REVIEW
        - AUTOMATIC_REVIEW
        - WAITING_FOR_SIGNATURE
        - WAITING_FOR_DECLARATION
        - ERROR
        - ARCHIVED
        - WAITING_FOR_DETAILS
        - TERMINATED
    AccountAgreement:
      type: object
      description: |
        Defines an terms and conditions agreement between
        a company or user and Dintero
      properties:
        name:
          description: Defines the name of the agreement
          type: string
        version:
          description: Defines the version of the agreement
          type: string
        personal_guarantee_accepted:
          description: |
            The applicant/user has read and accepted the terms of
            a personal guarantee.
          type: boolean
        attachments:
          description: attachment policies
          type: array
          items:
            type: object
            properties:
              name:
                description: Defines the name of the attachment
                type: string
                example: Cookie Policy
              version:
                description: Defines the version of the attachment
                type: string
    UtmCampaign:
      type: object
      title: campaign
      properties:
        utm_source:
          type: string
          title: Campaign Source
          description: |
            Use utm_source to identify a search engine, newsletter name,
            or other source.
          example: google
        utm_medium:
          type: string
          title: Campaign Medium
          description: >
            Use utm_medium to identify a medium such as email or cost-per-
            click.
          example: cpc
        utm_campaign:
          type: string
          title: Campaign Name
          description: |
            Used for keyword analysis. Use utm_campaign to identify a
            specific product promotion or strategic campaign.
          example: spring_sale
        utm_term:
          type: string
          title: Campaign Term
          description: |
            Used for paid search. Use utm_term to note the keywords
            for this ad.
          example: running+shoes
        utm_content:
          type: string
          title: Campaign Content
          description: |
            Used for A/B testing and content-targeted ads. Use utm_content
            to differentiate ads or links that point to the same URL.
          example: textlink
    Address:
      type: object
      required:
        - address_line
        - postal_place
        - country
      properties:
        address_line:
          type: string
          example: Sommerkroveien 34
        address_line_2:
          type: string
          example: PB 123
        postal_code:
          type: string
          example: '0349'
        postal_place:
          type: string
          example: Oslo
        country:
          type: string
          format: iso-3166-1
          description: |
            ISO 3166-1 country code
          example: 'NO'
    AccountCompanyTerms:
      description: |
        Terms of company account.
      type: object
      properties:
        type:
          type: string
          enum:
            - all
            - sales
            - cookies
            - privacy
        href:
          type: string
          format: uri
    AccountCompanyContact:
      description: |
        Contact details for a company.
      type: object
      properties:
        phone_number:
          type: string
          pattern: ^\+?\d{5,15}$
          description: |
            ITU/E.123 format with
            international prefix (+PPNNNNNNNNN...)
        email:
          type: string
          format: email
        website:
          type: string
          format: uri
        type:
          type: string
          enum:
            - support
            - disputes
    AccountBillingStatement:
      description: |
        The details of the billing statement for the account
      type: object
      properties:
        name:
          type: string
          description: The name to be displayed on the billing statement
          minLength: 2
[...]
